Package org.apache.lucene.monitor

# Class ScoringMatch

java.lang.Object
org.apache.lucene.monitor.QueryMatch
org.apache.lucene.monitor.ScoringMatch

public class ScoringMatch extends QueryMatch
A QueryMatch that reports scores for each match

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MatcherFactory<ScoringMatch>`
`DEFAULT_MATCHER`

### Fields inherited from class org.apache.lucene.monitor.QueryMatch

`SIMPLE_MATCHER`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`float`
`getScore()`
`int`
`hashCode()`
`static final MatcherFactory<ScoringMatch>`
`matchWithSimilarity(Similarity similarity)`

### Methods inherited from class org.apache.lucene.monitor.QueryMatch

`getQueryId, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_MATCHER

public static final MatcherFactory<ScoringMatch> DEFAULT_MATCHER

## Method Details

### matchWithSimilarity

public static final MatcherFactory<ScoringMatch> matchWithSimilarity(Similarity similarity)

### getScore

public float getScore()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `QueryMatch`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `QueryMatch`